Debian Bug report logs - #381727
ITP: coreboot -- Free Software BIOS replacement

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Uwe Hermann <uwe@hermann-uwe.de>

Date: Sun, 6 Aug 2006 20:03:13 UTC

Owned by: Uwe Hermann <uwe@hermann-uwe.de>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwe@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
New Bug report received and forwarded. Copy sent to uwe@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: linuxbios -- Free Software BIOS implementation
Date: Sun, 6 Aug 2006 21:49:40 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Uwe Hermann <uwe@debian.org>

* Package name    : linuxbios
  Version         : 0.0+svn2006xxyy
  Upstream Author : http://linuxbios.org/index.php/Contributors
* URL             : http://linuxbios.org/
* License         : GPL
  Programming Lang: C, assembler
  Description     : Free Software BIOS implementation

 LinuxBIOS is a Free Software project aimed at replacing the normal BIOS
 with a little bit of hardware initialization and a compressed Linux kernel
 that can be booted from a cold start.
 .
 Features:
   * Fast boot times (current fastest is 3 seconds)
   * Freedom from proprietary (buggy) BIOS code
   * Possibility to execute various payloads (kernel, Etherboot, OpenBIOS)
   * ...
 . 
 Note that, on newer systems, there need be no moving parts at all.


Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. Full text and rfc822 format available.

Message #8 received at 381727@bugs.debian.org (full text, mbox):

From: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>
To: 381727@bugs.debian.org
Cc: Uwe Hermann <uwe@hermann-uwe.de>, rmh@aybabtu.com
Subject: linuxbios ITP
Date: Mon, 23 Jul 2007 12:21:46 +0200
Hi Uwe,

This ITP looks quite old.  Are you still working on this?  I would like a
linuxbios package with an image that can be used with qemu.

I'm not sure if you're targetting qemu (and bochs/etc) only or real hardware
builds (is the latter feasible for debian?).  But in either case, we can work
together.  I'll be glad to help at least in the qemu part.

-- 
Robert Millan



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, uwe hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #13 received at 381727@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>, 381727@bugs.debian.org
Cc: Uwe Hermann <uwe@hermann-uwe.de>, rmh@aybabtu.com
Subject: Re: Bug#381727: linuxbios ITP
Date: Mon, 23 Jul 2007 13:06:29 +0200
[Message part 1 (text/plain, inline)]
Hi Robert,

On Mon, Jul 23, 2007 at 12:21:46PM +0200, Robert Millan [ackstorm] wrote:
> This ITP looks quite old.  Are you still working on this?  I would like a
> linuxbios package with an image that can be used with qemu.

Yep, good point. I'll see to have a package ready in a few days. I was
not sure if/how to package LinuxBIOSv2, but I think the upcoming LinuxBIOSv3
can be packaged quite nicely (and works fine in QEMU), so that'll be it.

Whether or not v2 is worth packaging at all I'm not sure...


> I'm not sure if you're targetting qemu (and bochs/etc) only or real hardware
> builds (is the latter feasible for debian?).

I definately want to ship a QEMU target, sure.

The hardware targets could also make sense in LinuxBIOSv3, as there is a
tool which allows you to "inject" any payload into an otherwise "empty"
LinuxBIOS image. Also, there will be a linuxbios-source package which
you can install and build your own images from scratch, too.


HTH, Uwe.
-- 
http://www.hermann-uwe.de  | http://www.holsham-traders.de
http://www.crazy-hacks.org | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. Full text and rfc822 format available.

Message #16 received at 381727@bugs.debian.org (full text, mbox):

From: "Robert Millan [ackstorm]" <robert.millan@ackstorm.es>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 381727@bugs.debian.org, rmh@aybabtu.com
Subject: Re: Bug#381727: linuxbios ITP
Date: Mon, 23 Jul 2007 13:44:37 +0200
On Mon, Jul 23, 2007 at 01:06:29PM +0200, Uwe Hermann wrote:
> Yep, good point. I'll see to have a package ready in a few days.

Good.  Let me know if you can use some help.

> I definately want to ship a QEMU target, sure.
> 
> The hardware targets could also make sense in LinuxBIOSv3, as there is a
> tool which allows you to "inject" any payload into an otherwise "empty"
> LinuxBIOS image.

Which payload did you plan to put in the qemu target?  I'm prospectively
looking at the GRUB port (there's a SoC project) to build a LinuxBIOS image
based on that.  If you think that's good enough, we can go for it.

Or otherwise we could use this "inject" feature to make the LinuxBIOS package
payload-agnostic, and let payloads be handled separately.

> Also, there will be a linuxbios-source package which
> you can install and build your own images from scratch, too.

Are you sure users will prefer this over upstream svn?  Since proper operation
of the code is so critical, I'd expect them to look for svn revisions that
have been labeled as "good" for their hardware, which differs from user to
user.  That (and the fact that providing QA can become tedious) is why I was
only thinking about qemu builds (at least for now).

-- 
Robert Millan



Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Uwe Hermann <uwe@hermann-uwe.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 381727-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 381727-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 24 Jul 2008 11:59:45 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 381727
 stop

Further comments on the work done in the bug sent to
381727@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. Full text and rfc822 format available.

Message #24 received at 381727@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Uwe Hermann <uwe@hermann-uwe.de>, 381727@bugs.debian.org
Subject: Re: Bug#381727: linuxbios ITP
Date: Thu, 31 Jul 2008 02:12:11 +0200
reopen 381727
retitle 381727 coreboot -- Free Software BIOS replacement
thanks

Hi Uwe,

I made a package of Coreboot today.  Provides coreboot-qemu (with no payload)
and coreboot-lar:

  http://people.debian.org/~rmh/coreboot/

How do we go about this?  Are you still interested in maintaining Coreboot?

If you like, we could team maintain it.  I think that'd be the best since
this package has the potential to become a lot of work to deal with.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Bug reopened, originator not changed. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Thu, 31 Jul 2008 00:15:05 GMT) Full text and rfc822 format available.

Changed Bug title to `coreboot -- Free Software BIOS replacement' from `ITP: linuxbios -- Free Software BIOS implementation'. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Thu, 31 Jul 2008 00:15:06 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: coreboot -- Free Software BIOS replacement' from `coreboot -- Free Software BIOS replacement'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 02 Aug 2008 01:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, uwe hermann <uwe@debian.org>:
Bug#381727; Package wnpp. (Mon, 24 May 2010 19:09:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, uwe hermann <uwe@debian.org>. (Mon, 24 May 2010 19:09:36 GMT) Full text and rfc822 format available.

Message #35 received at 381727@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 381727@bugs.debian.org
Cc: control@bugs.debian.org
Subject: coreboot: changing back from ITP to RFP
Date: Mon, 24 May 2010 19:05:52 +0000
retitle 381727 RFP: coreboot -- Free Software BIOS replacement
noowner 381727
thanks

Hi,

This is an automatic email to change the status of coreboot back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 18 months.

If you are still interested in adopting coreboot, please send a mail to
<control@bugs.debian.org> with:

 retitle 381727 ITP: coreboot -- Free Software BIOS replacement
 owner 381727 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <381727@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team




Changed Bug title to 'RFP: coreboot -- Free Software BIOS replacement' from 'ITP: coreboot -- Free Software BIOS replacement' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:41 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by uwe hermann <uwe@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 24 May 2010 19:20:42 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: coreboot -- Free Software BIOS replacement' from 'RFP: coreboot -- Free Software BIOS replacement' Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Wed, 26 May 2010 22:06:04 GMT) Full text and rfc822 format available.

Owner recorded as Uwe Hermann <uwe@hermann-uwe.de>. Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Wed, 26 May 2010 22:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@hermann-uwe.de>:
Bug#381727; Package wnpp. (Sat, 19 Feb 2011 17:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@hermann-uwe.de>. (Sat, 19 Feb 2011 17:09:09 GMT) Full text and rfc822 format available.

Message #48 received at 381727@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 381727@bugs.debian.org
Cc: control@bugs.debian.org
Subject: coreboot: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 16:59:21 +0000
retitle 381727 RFP: coreboot -- Free Software BIOS replacement
noowner 381727
thanks

Hi,

This is an automatic email to change the status of coreboot back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting coreboot, please send a mail to
<control@bugs.debian.org> with:

 retitle 381727 ITP: coreboot -- Free Software BIOS replacement
 owner 381727 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <381727@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: coreboot -- Free Software BIOS replacement' from 'ITP: coreboot -- Free Software BIOS replacement' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:12:24 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Uwe Hermann <uwe@hermann-uwe.de>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:12:24 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: coreboot -- Free Software BIOS replacement' from 'RFP: coreboot -- Free Software BIOS replacement' Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Fri, 04 Mar 2011 09:00:04 GMT) Full text and rfc822 format available.

Owner recorded as Uwe Hermann <uwe@hermann-uwe.de>. Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Fri, 04 Mar 2011 09:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Uwe Hermann <uwe@hermann-uwe.de>:
Bug#381727; Package wnpp. (Mon, 27 May 2013 13:32:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Uwe Hermann <uwe@hermann-uwe.de>. (Mon, 27 May 2013 13:32:04 GMT) Full text and rfc822 format available.

Message #61 received at 381727@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 381727@bugs.debian.org
Cc: control@bugs.debian.org
Subject: coreboot: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:13 +0200
retitle 381727 RFP: coreboot -- Free Software BIOS replacement
noowner 381727
tag 381727 - pending
thanks

Hi,

This is an automatic email to change the status of coreboot back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting coreboot, please send a mail to
<control@bugs.debian.org> with:

 retitle 381727 ITP: coreboot -- Free Software BIOS replacement
 owner 381727 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <381727@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: coreboot -- Free Software BIOS replacement' from 'ITP: coreboot -- Free Software BIOS replacement' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:59:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Uwe Hermann <uwe@hermann-uwe.de>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:59:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: coreboot -- Free Software BIOS replacement' from 'RFP: coreboot -- Free Software BIOS replacement' Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Tue, 28 May 2013 14:06:07 GMT) Full text and rfc822 format available.

Owner recorded as Uwe Hermann <uwe@hermann-uwe.de>. Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. (Tue, 28 May 2013 14:06:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:20:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.